Subject: Re: [PATCH/ALMOST FINAL] Contextually notify user about an initial commit

From: Kaartic Sivaraam <[email-masked]>
Date: Mon, 19 Jun 2017 18:54:18 +0530

On Mon, 2017-06-19 at 05:10 -0400, Jeff King wrote:
> On Sun, Jun 18, 2017 at 10:34:59AM +0200, Ævar Arnfjörð Bjarmason
> wrote:
> 
> > Why not simply "No commits yet", saying "on the branch" is
> > needlessy
> > duplicating information in the context of the status output in
> > which
> > this is printed, i.e. now you have:
> > 
> >     $ ~/g/git/git-status
> >     On branch master
> > 
> >     No commits yet on the branch
> > 
> >     nothing to commit (create/copy files and use "git add" to
> > track)
> > Since we've already pointed out that the user is on a branch.
> 
> I thought one of the points was to disambiguate the case of "no
> commits
> yet in the repository" and "no commits yet on the branch". If we
> don't
> care about making that distinction (or think that the mention of the
> branch is enough to make it clear), then succinct is fine. I don't
> have
> a strong opinion either way.
> 
I had the same thought in the beginning but the sample output seemed to
make me think "The terse message was fine". I am unopinionated, too.
I'll stay with "No commits yet" for now until someone suggests to
change it due to confusion about whether it's a "No commits yet on the
branch" or it's a "No commits yet on this repository".

--
Regards,
Kaartic Sivaraam <[email-masked]>